@import "reset.css";
@import "ngb_2020_formulaire.css";

@font-face {
  font-family: "ngbtitle";
  src: url('/ngb/fonts/zagbold.eot');
  src: url('/ngb/fonts/zagbold.eot?#iefix') format('embedded-opentype'),
  url('/ngb/fonts/zagbold.woff') format('woff'),
  url('/ngb/fonts/zagbold.ttf') format('truetype'),
  url('/ngb/fonts/zagbold.svg#LeagueGothicRegular') format('svg');
  font-weight: normal;
  font-style: normal;
}

/* Héritage main.css */

i, span, p {
	color: inherit;
	font-size: inherit;
}

img {
	margin: 0;
	padding: 0;
	border: none;
}

#navbutton_container {
	margin: 10px 0 10px 30px;
}

a {
	cursor: pointer;
	white-space: nowrap;
	color: inherit
}

.big {
	font-size: 11pt;
	font-weight: bold
}

.bigerror {
	font-size: 11pt;
	font-weight: bold;
	color: #f00
}

.little {
	font-size: 12px;
}

.center {
	text-align: center;
}

.link {
	cursor: pointer;
}

button, .button {
	border: 1px solid #aaa;
	font-size: 8pt;
	font-weight: normal;
	margin-left: 10px;
	margin-top: 2px;
	background: #f0f0f0;
}

input[type="button"], input[type="submit"], button, .button {
	padding: 5px;
	font-weight: bold;
	background: #ddd;
	text-decoration: none;
	cursor: pointer;
}

input[type="button"]:hover, input[type="submit"]:hover, button:hover, .button:hover {
	border-color: #ccc;
	background-color: #eee;
}

.little a {
	text-decoration: none;
	color: #f30;
}

.little a:link {
	color: #f00;
}

.little a:visited {
	color: #900;
	text-decoration: none;
}

.little a:hover {
	color: #f36;
	text-decoration: underline;
}

.box {
	border: 1px none #ccc;
}

.option {
	font-weight: bold;
	font-size: 9pt;
	color: #999;
}

.subtitle {
	font-size: 14px;
}

span.picto {
	display: none;
	padding: 24px;
	background: url(/images/pictos_48.png) no-repeat;
	vertical-align: middle;
}

p.picto {
	font-weight: bold;
}

p.picto:before {
	content: "";
	display: none;
	padding: 24px;
	background: url("/images/pictos_48.png") no-repeat;
	vertical-align: middle;
}

@media (max-width: 900px) {
	p.picto:before {
		float: left;
	}
}

.errornoticebox {
	display: flex;
	align-items: center;
	min-height: 58px;
	box-sizing: border-box;
	border: 2px solid rgba(0, 0, 0, 0.6);
	background-color: #BE2424;
	padding: 5px 10px;
	margin-bottom: 20px;
	color: #fff;
}

.errornoticebox span.picto,
.q_endwitherror p.picto:before {
	display: inline-block;
	background-position: right bottom;
	margin-right: 10px;
}

.errornotice {
	font-weight: bold;
	font-size: 9pt;
}

.errornotice.link {
	display: inline-block;
	color: #fff;
}

.errornoticebox ul {
	display: inline-block;
	vertical-align: top;
}

.errornoticebox li {
	color: #fff;
}

.errornoticebox a {
	color: #fff236;
	font-weight: bold;
	text-shadow: 1px 1px 0 rgba(0,0,0,0.5);
}

.q_endwitherror {
	padding: 5px;
	text-align: center;
	cursor: pointer;
}

.q_endwitherror_explain {
	margin-top: 10px;
	padding: 5px;
	text-align: center;
}

.q_endwitherror_explain a {
	color: #f00;
	font-weight: bold;
}

.q_textarea1 {
	width: 80%;
	height: 60px;
	display: block;
}

.q_normal {
	color: black;
	font-weight: bold;
}

.print .q_maskable {
	background-color: #ddf;
}

.q_error {
	color: red;
	font-weight: bold;
}

.q_section_title {
	font-weight: bold;
	font-size: 11pt;
}

.q_section li {
	font-weight: normal;
}

.q_section li + li {
	margin-top: 10px;
}

.q_section .q_title {
	font-weight: normal;
}

.q_admin {
	font-weight: bold;
	font-size: 9pt;
}

.q_etape {
	color: black;
	font-weight: 700;
}

.p_maskable {
	background-color: #ddf;
	padding: 5px;
}

.q_multiheader {
	padding: 3px;
	font-weight: bold;
	font-size: 13px;
	vertical-align: bottom;
}

.q_vert {
	color: #800000;
}

.debug_frame {
	border: 0;
	margin: 0;
	padding: 0;
	width: 1px;
	height: 1px
}

input.submitted {
	background: url("/images/spinner.gif") no-repeat center #fff;
	color: #ddd;
}

.usercomment {
	text-align: center;
	margin: 20px auto;
	width: 70%;
}

.usercomment > .title {
	font-style: italic;
}

.usercomment > .content textarea {
	width: 100%;
	height: 55px;
}

.usercomment > .content input[type="button"] {
	margin-top: 15px;
	box-shadow: inset 0 1px 0 0 #bee2f9;
	background: linear-gradient(to bottom, #63b8ee 5%, #468ccf 100%);
	background-color: #63b8ee;
	border-radius: 6px;
	border: 1px solid #3866a3;
	display: inline-block;
	cursor: pointer;
	color: #14396a;
	font-size: 15px;
	font-weight: bold;
	padding: 6px 24px;
	text-decoration: none;
	text-shadow: 0 1px 0 #7cacde;
}

.usercomment > .content input[type="button"]:hover {
	background:linear-gradient(to bottom, #468ccf 5%, #63b8ee 100%);
	background-color:#468ccf;
}
.usercomment > .content input[type="button"]:active {
	position:relative;
	top:1px;
}

span.autocomp {
	background: url(/images/helper_btn.png) no-repeat left top;
	display: inline-block;
	width: 20px;
	height: 20px;
}

span.autocomp:hover {
	background-position: left bottom;
}

.helper_pos_inline {
	display: inline-block;
	white-space: nowrap;
}

.helper_content {
	display: none;
	position: absolute;
	z-index: 9990;
	background-color: #ddd;
	border: 1px solid #aaa;
	overflow: scroll;
	max-height: 200px;
	margin-left: 10px;
}

.helper_content a {
	display: block;
	color: #044;
	font-size: 11px;
	text-decoration: none;
	white-space: nowrap;
	overflow: hidden;
	padding: 2px 2px 2px 2px;
}

.helper_content a.hovered {
	color: #fff;
	background-color: #444;
}

.ma-container {
	color: #000;
	border: 1px solid #333;
	background-color: #fff;
	position: absolute;
	visibility: hidden;
	overflow-y: auto;
	overflow-x: hidden;
	width: 400px !important;
	z-index: 99
}

.ma-container ul {
	list-style: none;
	overflow: hidden;
	width: 100%;
	margin: 0;
	padding: 0;
}

.ma-container li {
	padding: 2px 5px;
	line-height: 16px;
	cursor: pointer;
	float: left;
	width: 100%;
	overflow: hidden;
}

#searchcp.ma-loading {
	background: url("/images/spinner.gif") no-repeat right;
}

.ma-container .ma-hover {
	color: #fff;
	background-color: #921506 !important;
}

.ma-container .ma-even {
	background-color: #efefef;
}

/* Interface de DEBUG */

#debug {
	position: relative;
	background: #333;
	opacity: 0.8;
	color: #fff;
	font-size: 11px;
	font-family: monospace;
	margin-top: 20px;

	padding: 6px 10px;
	width: 100%;
}

#debug h2 {
	font-size: 10pt;
	color: #fff;
}

#debug textarea {
	width: 90%;
	height: 100px;
	clear: both;
	display: block;
	margin: 0;
	padding: 2px;
	border: 1px dashed #fff;
	background: #777;
	color: #fff;
}

/* Scrollbars */

.scrollable .vfader {
	background-image: url("/images/fader_v.png");
	background-repeat: repeat-x;
	position: absolute;
	bottom: 0;
	left: 0;
	height: 20px;
	width: 100%;
}

/* Squeezebox */

#sbox-window embed, #sbox-window object, #sbox-window select {
	visibility: visible;
}

#sbox-overlay {
	position: absolute;
	top: 0;
	background-color: #000;
}

#sbox-window {
	position: absolute;
	background-color: #318ba3;
	text-align: left;
	overflow: visible;
	padding: 15px;
	opacity: 0.87;
	min-height: 120px;
	min-width: 120px;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
}

#sbox-title {
	position: absolute;
	background-color: #89a;
	min-width: 100px;
	min-height: 14px;
	padding: 5px;
	left: 10px;
	top: -15px;
	color: #fff;
	font-size: 12px;
	font-weight: bold;
	white-space: nowrap;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
}

#sbox-statusbar {
	position: absolute;
	background-color: #f74;
	min-width: 0;
	min-height: 14px;
	padding: 5px;
	right: 10px;
	bottom: -12px;
	color: #fff;
	font-size: 11px;
	font-weight: bold;
	white-space: nowrap;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
}

#sbox-btn-close {
	position: absolute;
	width: 30px;
	height: 30px;
	right: -15px;
	top: -15px;
	background: url(/scripts/squeezebox/closebox.png) no-repeat center;
	border: none;
}

.sbox-window-ie6 #sbox-btn-close {
	background: url(scripts/squeezebox/closebox.gif);
}

.sbox-loading #sbox-content {
	background: url(scripts/squeezebox/spinner.gif) center no-repeat;
}

#sbox-mycontent p, #sbox-mycontent td, #sbox-mycontent div, #sbox-mycontent span, #sbox-mycontent a {
	color: #fff;
	font-size: 8pt;
}

#sbox-content p, #sbox-content td, #sbox-content div, #sbox-content span, #sbox-content a, #sbox-content label {
	color: #fff;
	font-size: 8pt;
}

#sbox-content ul {
	margin: 0;
	padding: 0;
}

#sbox-content li {
	color: #fff;
}

#sbox-content input[type=submit],
#sbox-content button {
	color: #333;
	background-color: #fff;
}

#sbox-content .waiting, #sbox-content .boxed .waiting {
	min-height: 20px;
	background: url(/scripts/squeezebox/spinner.gif) no-repeat left;
	background-color: inherit;
	padding-left: 20px;
	text-align: left;
	vertical-align: middle;
	margin: 3px;
	line-height: 20px;
	cursor: wait;
}

#sbox-content .waiting_center, #sbox-content .boxed .waiting_center {
	min-height: 40px;
	background: url(/scripts/squeezebox/spinner.gif) no-repeat center;
	padding-top: 20px;
	text-align: center;
}

#sbox-content {
	clear: both;
	overflow: auto;
	background-color: #318ba3;
	height: 100%;
	width: 100%;
}

.sbox-content-image #sbox-content {
	overflow: visible;
}

#sbox-image {
	display: block;
}

.sbox-content-image img {
	display: block;
}

.sbox-content-iframe#sbox-content {
	overflow: visible;
}

.body-overlayed embed, .body-overlayed object, .body-overlayed select {
	visibility: hidden;
}

.btn {
	display: inline-block;
	border-radius: 3px;
	box-shadow: inset 0 0 15px -5px rgba(0, 0, 0, 0.5);
	border: 2px solid rgba(0, 0, 0, 0.25);
	margin: 5px;
	padding: 5px 10px;
	font-weight: bold;
	background-color: #ddd;
	color: #000;
	font-size: 1em;
	text-decoration: none;
}

a.btn {
	line-height: 1.6em;
}

a.btn i {
	font-size: 1.2em;
}

.btn-save {
	text-align: center;
	display: block;
	margin: 15px auto 0 auto;
	background-color: #c7c7c7;
}

/* Modifications 2020 */

html {
	--scrollbarBG: rgba(0, 0, 0, 0);
	--thumbBG: #fe8d04;
	margin: 0;
	overflow-x: hidden;
	overflow-y: auto;
}

body {
	background-color: #000;
	line-height: 1.6em;
	color: #000;
	max-width: 1270px;
	margin: 0 auto;
	padding: 20px 3%;
}

body, div, td {
	font-family: "Open Sans", sans-serif;
	font-size: 15px;
	color: #000;
}

h1 {
	box-sizing: border-box;
	font-family: "ngbtitle", sans-serif;
	color: #fff;
	font-size: 25pt;
	line-height: 1.2em;
	font-weight: normal;
	margin-bottom: 25px;
	min-height: 67px;
	padding: 37px 0 0 44px;
	background: url("/ngb/images/2020/rainbow.png") no-repeat top left;
}

@media (max-width: 600px) {
	h1 {
		font-size: 20pt;
	}
}

/* Wrapper */

.wrapper {
	position: relative;
	width: 70%;
}

.wrapper:after {
	content: "";
	position: absolute;
	display: block;
	top: 0;
	left: 100%;
	margin-left: 15px;
	width: 40%;
	height: 100%;
	background: url("/ngb/images/2020/presentation.png") no-repeat center;
	background-size: contain;
}

/* Questionnaire */

#box_question #box_title {
	display: table;
	width: 100%;
	position: relative;
	margin-bottom: 20px;
}

#box_title .q_title{
	display: table-cell;
	vertical-align: middle;
	height: 38px;
	padding: 6px 10px;
	font-size: 18px;
	font-weight: bold;
	border-radius: 0 4px 4px 0;
	border-top: 2px solid rgba(255, 255, 255, 0.6);
	border-left: 2px solid rgba(255, 255, 255, 0.6);

	background-color: #909090;
	color: #FFF;
	letter-spacing: 1px;
	text-shadow: 1px 1px 0 rgba(0,0,0,0.5);
	box-shadow: inset 0 -40px 30px -30px rgba(0,0,0,0.5);
}

#box_question #box_title .q_title:before {
	content: "";
	display: block;
	position: absolute;
	z-index: 10;
	top: 0;
	left: -64px;
	width: 128px;
	height: 128px;
	background: url("/ngb/images/2020/roue.svg") no-repeat center;
	background-size: contain;
}

#box_question #box_title .q_title:after {
	content: "";
	display: block;
	position: absolute;
	z-index: 11;
	top: 0;
	left: -64px;
	margin-top: 32px;
	margin-left: 32px;
	width: 64px;
	height: 64px;
	background: url("/ngb/images/2020/roue-centre.svg") no-repeat center;
	background-size: contain;
}

#box_title .q_title[title^="E"],
#box_title .q_title[title^="S04_17"],
#box_title .q_title[title^="S04_27"],
#box_title .q_title[title^="FIN_TITRE"] {
	background-color: #FF0000;
}

#box_title .q_title[title^="S01"],
#box_title .q_title[title^="S04_18"],
#box_title .q_title[title^="S04_27_BIS"],
#box_title .q_title[title^="S04_22"],
#box_title .q_title[title^="S04_23"],
#box_title .q_title[title^="S04_24"],
#box_title .q_title[title^="S04_25"] {
	background-color: #FE9A06;
}
#box_title .q_title[title^="S01"]:before,
#box_title .q_title[title^="S04_18"]:before,
#box_title .q_title[title^="S04_27_BIS"]:before,
#box_title .q_title[title^="S04_22"]:before,
#box_title .q_title[title^="S04_23"]:before,
#box_title .q_title[title^="S04_24"]:before,
#box_title .q_title[title^="S04_25"]:before {
	transform: rotate(-40deg);
}

#box_title .q_title[title^="S01_"] {
	background-color: #FFFF00;
}
#box_title .q_title[title^="S01_"]:before {
	transform: rotate(-80deg);
}

#box_title .q_title[title^="S02"],
#box_title .q_title[title^="S04_COVID"] {
	background-color: #009900;
}
#box_title .q_title[title^="S02"]:before,
#box_title .q_title[title^="S04_COVID"]:before {
	transform: rotate(-120deg);
}

#box_title .q_title[title^="S04"],
#box_title .q_title[title^="S04_19"] {
	background-color: #00a867;
}
#box_title .q_title[title^="S04"]:before,
#box_title .q_title[title^="S04_19"]:before {
	transform: rotate(-160deg);
}

#box_title .q_title[title^="S04_"],
#box_title .q_title[title^="S04_19_RDR"] {
	background-color: #33ccff;
}
#box_title .q_title[title^="S04_"]:before,
#box_title .q_title[title^="S04_19_RDR"]:before {
	transform: rotate(-200deg);
}

#box_title .q_title[title^="S04_14"],
#box_title .q_title[title^="S04_19_PREP"] {
	background-color: #3b3bff;
}
#box_title .q_title[title^="S04_14"]:before,
#box_title .q_title[title^="S04_19_PREP"]:before {
	transform: rotate(-240deg);
}

#box_title .q_title[title^="S05"],
#box_title .q_title[title^="CORPSZ"],
#box_title .q_title[title^="S04_FEMMES"] {
	background-color: #cc33ac;
}
#box_title .q_title[title^="S05"]:before,
#box_title .q_title[title^="CORPSZ"]:before,
#box_title .q_title[title^="S04_FEMMES"]:before {
	transform: rotate(-280deg);
}

#box_title .q_title[title^="S04_15"],
#box_title .q_title[title^="S04_21"],
#box_title .q_title[title^="S04_TRANS"] {
	background-color: #9332ca;
}
#box_title .q_title[title^="S04_15"]:before,
#box_title .q_title[title^="S04_21"]:before,
#box_title .q_title[title^="S04_TRANS"]:before {
	transform: rotate(-320deg);
}

@media (min-width: 1101px) {
	#box_title .q_title{
		padding-left: 75px;
	}

	#box_errors{
		margin-left: 75px;
	}
}

/* Wrapper */

#box_question #box_content_container {
	position: relative;
	background: linear-gradient(180deg, rgb(255, 255, 255) 0%, rgb(213, 213, 213) 100%);
	border-radius: 4px;
	padding: 15px;
}

/* #box_question #box_content_container:after {
	content: "";
	display: block;
	vertical-align: top;
	position: absolute;
	bottom: 15px;
	right: -16%;
	z-index: -1;
	width: 30%;
	height: 100%;
	background: url("/ngb/images/2020/background-quest.jpg") no-repeat center;
	background-size: contain;
} */

@media (max-width: 1100px) {
	#box_title .q_title{
		padding-left: 10px;
		border-radius: 4px;
	}

	#box_question #box_title .q_title:before,
	#box_question #box_title .q_title:after {
		display: none;
	}

	#box_question #box_content_container:after {
		display: none;
	}
}

/* Liste des pages */

#box_progress .q_page {
	padding: 10px 0;
	margin: 0;
	text-align: center;
}

#box_progress .q_page li {
	display: inline-block;
	margin: 5px 5px;
	width: 25px;
	height: 25px;
	line-height: 24px;
	font-size: 12px;
	text-align: center;
	border-radius: 50px;
	border: 1px solid #696969;
	cursor: pointer;
	color: #333;
	background: #4c4c4c;
	text-shadow: 0 1px 0 #ffffff;
	box-shadow: inset 0 1px 0 0 #535353;
}

#box_progress .q_page li a {
	display: inline-block;
	vertical-align: top;
	width: 100%;
	height: 100%;
}

#box_progress .q_page li.current,
#box_progress .q_page li:hover {
	background-color: #ffffff;
	background: linear-gradient(180deg, rgb(255, 255, 255) 0%, rgb(213, 213, 213) 100%);
	text-shadow: 0 1px 0 #ffffff;
	box-shadow: inset 0 1px 0 0 #ffffff;
	font-weight: bold;
	border-color: #dcdcdc;
	color: #000;
}

#box_progress .q_page li.none {
	background: #1a1a1a;
	box-shadow: inset 0 1px 0 0 #2d2d2d;
	border: 1px solid #171717;
	text-shadow: 0 1px 0 #2b2b2b;
	color: #4d4d4d;
	font-weight: inherit;
	cursor: not-allowed;
}

#box_progress .q_page li.error {
	background: #b51717;
	box-shadow: inset 0 1px 0 0 #c46666;
	border: 1px solid #921616;
	text-shadow: 0 1px 0 #bb4848;
	color: #fff;
}

#box_progress .q_page li a {
	width: 23px;
	padding: 0;
	margin: 0;
	font-weight: inherit;
	text-decoration:none;
	color: #FFF;
}

#box_progress .q_page li:hover a {
	color: #000;
}

/* Choix des langues */

#ln {
	margin: 20px 0;
}

#ln ul {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 0;
	margin: 0;
	width: 100%;
}

#ln li {
	display: inline-block;
	margin: 0 9px;
	padding: 0 12px;
	height: 25px;
	border: 1px solid #bfbfbf;
	border-radius: 50px;
	background: rgb(204, 204, 204);
	background: linear-gradient(180deg, rgba(204, 204, 204, 1) 0%, rgba(179, 179, 179, 1) 100%);
	box-shadow: inset 0 1px 0 0 #fff, inset 0 -1px 0 0 #d9d9d9, inset 0 0 0 1px #f2f2f2;
}

#ln li a {
	display: inline-block;
	vertical-align: top;
	color: #000;
	font-weight: bold;
	font-size: 12px;
	text-decoration: none;
	max-width: 200px;
	overflow-x: hidden;
	text-overflow: ellipsis;
	line-height: 25px;
	transition: all 100ms ease-out;
}

#ln li a:hover {
	color: #ffff00;
}

/* Pied de page */

#footer {
	text-align: center;
	font-size: 14px;
	color: #FFF;
}

#footer a {
	color: #FFF;
}

#sponsors {
	display: none;
}

#box_errors {
	position: relative;
	float: left;
	clear: right;
}

#box_errors ul {
	margin: 0;
	padding-left: 18px;
	list-style: circle;
}

#box_content {
	position: relative;
	clear: both;
}

#box_time {
	position: relative;
	clear: both;
}

#navbutton_container {
	margin-left: 0;
	clear: both;
}

a.next {
	margin: 20px 0 0 20px;
	float: right;
}

a.back {
	margin-top: 20px;
	float: left;
}

a.last {
	margin-top: 20px;
	float: right;
}

a.reinit {
	text-decoration: none;
	text-transform: uppercase;
	color: #999;
	font-size: 10px;
	font-weight: bold;
}

.qtype_6 {
	display: inline;
}

.helper_pos {
	display: inline-block;
	white-space: nowrap;
}

.q_section_title {
	font-size: 10pt;
}

.q_section .q_normal {
	font-weight: normal;
}

/* Erreurs sur la page finale */

.q_endwitherror_explain b{
	font-weight: bold;
}

.usercomment .title{
	font-size: 12px;
}

.final_error_button {
	display: table;
	margin: 8px auto;
	box-shadow: inset 0 1px 0 0 #f5978e;
	background: linear-gradient(to bottom, #f24537 5%, #c62d1f 100%);
	background-color: #f24537;
	border-radius: 6px;
	border: 1px solid #d02718;
	cursor: pointer;
	color: #ffffff;
	font-size: 15px;
	font-weight: bold;
	padding: 6px 24px;
	text-decoration: none;
	text-shadow: 0 1px 0 #810e05;
}

.final_error_button:hover {
	background: linear-gradient(to bottom, #c62d1f 5%, #f24537 100%);
	background-color: #c62d1f;
}

.final_error_button:active {
	position: relative;
	top: 1px;
}

/* Responsive */

@media screen and (max-width: 1100px) {
	.wrapper {
		width: 100%;
	}

	.wrapper:after {
		display: none;
	}

	#intro {
		max-height: none;
	}
}

/* Corrections */

#nopic { display: none; }

#box_content_container font[size="1"] {
	font-size: 12px;
	color: #4e4e4e;
}

div[style="margin-left:23px"] {
	margin-left: 0 !important;
}